Bug 446400 - X no longer prompts when it can't start
X no longer prompts when it can't start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 09:58 EDT by Bradley
Modified: 2018-04-11 08:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:36:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (67.88 KB, text/plain)
2008-06-01 08:59 EDT, Bradley
no flags Details
xorg.conf (1.97 KB, text/plain)
2008-06-01 09:00 EDT, Bradley
no flags Details

  None (edit)
Description Bradley 2008-05-14 09:58:03 EDT
Description of problem:

If xorg.conf is incorrect (eg typo), or leads to a config that is bogus (eg
because nouveau doesn't like my system for some reason), then X constantly tries
to start for about 30 seconds before it stops (presumably upstart's rate
limiting, or something)

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Have a xorg.conf that won't work
2. telinit 5
  
Actual results:

X constantly tries to start - screen goes blank, then pops back to the initial
vty for < second. This repeats for a while (~30 seconds) before it stops

Expected results:

As in previous versions of Fedora, after a couple of times (3), should get a
message telling you that X has failed to start, and offering to show the logs.

Additional info:

Theres no way to break out of this loop, so if the file is typoed I have to wait
for it to stop until I can log in to the vty and try to fix stuff.

Not sure what was responsible for this crash detection previously - I'm using
gdm-2.22.0-1.fc9.x86_64 if that matters.
Comment 1 Matěj Cepl 2008-05-23 14:05:59 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bradley 2008-06-01 08:59:52 EDT
Created attachment 307309 [details]
xorg log
Comment 3 Bradley 2008-06-01 09:00:57 EDT
Created attachment 307311 [details]
xorg.conf
Comment 4 Bradley 2008-06-01 09:02:15 EDT
Attached. Note that this bug is NOT about the actual error (theres another bug
covering that), but on the behaviour when this sort of error occurs.

If xorg.conf is missing then it uses the nv driver so doesn't get into an error
state in the first place.
Comment 5 Adam Jackson 2008-06-05 15:14:04 EDT
That prompt was never in X, but in gdm.
Comment 6 Ray Strode [halfline] 2008-06-08 00:12:45 EDT
GDM will try to start 5 times before giving up.

Upstart will try to restart GDM some number of times (5? 10?) before it gives up.

This means GDM ends up restarting something like 25 or 50 times.

We aren't going to bring back the error message, but we should tweak either
upstart or gdm to reduce the total amount of time before giving up.

Comment 7 Bug Zapper 2009-06-09 20:48:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bradley 2009-06-09 21:17:51 EDT
still fails on f11
Comment 9 Bug Zapper 2010-04-27 08:03:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 06:36:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.